Quiz
ECES Study Material Test
This quiz has question types that open in the usual player.
Questions in this quiz (99)
1What is the block size of Blowfish?
- A32
- B64
- C128
- D256
2What is the block size of DES?
- A32
- B64
- C128
- D256
3What is the block size of Skipjack?
- A32
- B64
- C128
- D256
4What is the block size of IDEA?
- A32
- B64
- C128
- D256
5What is the block size of Twofish?
- A32
- B64
- C128
- D256
6What is the block size of AES?
- A32
- B64
- C128
- D256
7What is the block size of Serpent?
- A32
- B64
- C128
- D256
8What is the Key Size of Blowfish?
- A32-448
- B64-896
- C128-1792
- D256-3584
9What is the Key Size of DES?
- A56
- B65
- C16
- D32
10What is the Key Size of Skipjack?
- A80
- B8
- C128
- D256
11What is the Key Size of IDEA?
- A128
- B64
- C256
- D175
12What is the Key Size of Twofish?
- A1-256
- B256-512
- C1-128
- D128-1028
13What is the Key Sizes of AES and Serpent? (Pick 3)
- A64
- B128
- C164
- D192
- E256
- F1028
14How many Rounds of encryption are in Blowfish?
- A12
- B16
- C8
- D24
15How many Rounds of encryption are in DES?
- A8
- B32
- C24
- D16
16How many Rounds of encryption are in Skipjack?
- A16
- B24
- C32
- D48
17How many Rounds of encryption are in IDEA?
- A12
- B8.5
- C16
- D32.5
18How many Rounds of encryption are in Twofish?
- A8
- B24
- C32
- D16
19How many Rounds of encryption are in AES? (Pick 3)
- A10
- B11
- C12
- D13
- E14
- F15
- G16
20How many Rounds of encryption are in Serpent?
- A16
- B32
- C64
- D128
21What is the structure of Blowfish?
- AFeistel
- BUnbalanced Feistel
- CLai-Massey Scheme
- DSubstitution Permutation Matrix
22What is the structure of DES?
- AFeistel
- BUnbalanced Feistel
- CLai-Massey Scheme
- DSubstitution Permutation Matrix
23What is the structure of Skipjack?
- AFeistel
- BUnbalanaced Feistel
- CLai-Massey Scheme
- DSubstitution Permutation Matrix
24What is the structure of IDEA?
- AFeistel
- BUnbalanced Feistel
- CLai-Massey Scheme
- DSubstitution Permutation Matrix
25What is the structure of Twofish?
- AFeistel
- BUnbalanced Feistel
- CLai-Massey Scheme
- DSubstitution Permutation Matrix
26What is the structure of AES?
- AFeistel
- BUnbalanced Feistel
- CLay-Massey Scheme
- DSubstitution Permutation Matrix
27What is the structure of Serpent?
- AFeistel
- BUnbalanced Feistel
- CLai-Massey Scheme
- DSubstitution Permutation Matrix
28What is the formula for RSA?
- AMe%n
- By2=x3+Ax+B
- CP=E(k,c)
- DC=E(k,p)
29What is the formula for ECC?
- AMe%n
- By2=x3+Ax+B
- CP=E(k,c)
- DC=E(k,p)
30What is the formula for Symmetric Decryption?
- AMe%n
- By2=x3+Ax+B
- CP=E(k,c)
- DC=E(k,p)
31What is the formula for Symmetric Encryption?
- AMe%n
- By2=x3+Ax+B
- CP=E(k,c)
- DC=E(k,p)
32What type of Algorithm is RSA?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
33What type of Algorithm is DSA?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
34What type of Algorithm is ECC?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
35What type of Algorithm is El Gamal?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
36What type of Algorithm is MD5?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
37What type of Algorithm is SHA1?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
38What type of Algorithm is SHA256?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
39What type of Algorithm is FORK256?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
40What type of Algorithm is RIPEMD-160?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
41What type of Algorithm is GOST?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
42What type of Algorithm is TIGER?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
43What type of Algorithm is DH (Diffie-Hellman) ?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
44What type of Algorithm is MQV (Menezes-Qu-Vanstone)?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
45What type of Algorithm is KEA (Key Exchange Algorithm) ?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
46What type of Algorithm is ECDH (Elliptic Curve Diffie-Hellman) ?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
47What type of Algorithm is RC4?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
48What type of Algorithm is FISH ?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
49What type of Algorithm is PIKE ?
- AAsymmetric
- BHash
- CKey Exchange
- DSymmetric Stream Cipher
- ESymmetric
50What is FIPS 180-2?
- ASecure Hash Algorithm (SHA-1)
- BDefine 4 security levels
- CDigital Signatures
- DAES
- EIdentity Verification
- FHash-based Message Authentication Code (HMAC)
51What is FIPS 140?
- ASecure Hash Algorithm (SHA-1)
- BDefine 4 security levels
- CDigital Signatures
- DAES
- EIdentity Verification
- FHash-based Message Authentication Code (HMAC)
52What is FIPS 186?
- ASecure Hash Algorithm (SHA-1)
- BDefine 4 security levels
- CDigital Signatures
- DAES
- EIdentity Verification
- FHash-based Message Authentication Code (HMAC)
53What is FIPS 197?
- ASecure Hash Algorithm (SHA-1)
- BDefine 4 security levels
- CDigital Signatures
- DAES
- EIdentity Verification
- FHash-based Message Authentication Code (HMAC)
54What is FIPS 201?
- ASecure Hash Algorithm (SHA-1)
- BDefine 4 security levels
- CDigital Signatures
- DAES
- EIdentity Verification
- FHash-based Message Authentication Code (HMAC)
55What is FIPS 198?
- ASecure Hash Algorithm (SHA-1)
- BDefine 4 security levels
- CDigital Signatures
- DAES
- EIdentity Verification
- FHash-based Message Authentication Code (HMAC)
56What is PKCS #1?
- ARSA Cryptography Standard
- BDiffie–Hellman Key Agreement Standard
- CPassword-based Encryption Standard
- DPrivate-Key Information Syntax Standard
- EElliptic Curve Cryptography Standard
- FPseudo-random Number Generation
- GCryptographic Token Information Format Standard
57What is PKCS #3?
- ARSA Cryptography Standard
- BDiffie–Hellman Key Agreement Standard
- CPassword-based Encryption Standard
- DPrivate-Key Information Syntax Standard
- EElliptic Curve Cryptography Standard
- FPseudo-random Number Generation
- GCryptographic Token Information Format Standard
58What is PKCS #5/RFC 2898?
- ARSA Cryptography Standard
- BDiffie–Hellman Key Agreement Standard
- CPassword-based Encryption Standard
- DPrivate-Key Information Syntax Standard
- EElliptic Curve Cryptography Standard
- FPseudo-random Number Generation
- GCryptographic Token Information Format Standard
59What is PKCS #8?
- ARSA Cryptography Standard
- BDiffie–Hellman Key Agreement Standard
- CPassword-based Encryption Standard
- DPrivate-Key Information Syntax Standard
- EElliptic Curve Cryptography Standard
- FPseudo-random Number Generation
- GCryptographic Token Information Format Standard
60What is PKCS #13?
- ARSA Cryptography Standard
- BDiffie–Hellman Key Agreement Standard
- CPassword-based Encryption Standard
- DPrivate-Key Information Syntax Standard
- EElliptic Curve Cryptography Standard
- FPseudo-random Number Generation
- GCryptographic Token Information Format Standard
61What is PKCS #14?
- ARSA Cryptography Standard
- BDiffie–Hellman Key Agreement Standard
- CPassword-based Encryption Standard
- DPrivate-Key Information Syntax Standard
- EElliptic Curve Cryptography Standard
- FPseudo-random Number Generation
- GCryptographic Token Information Format Standard
62What is PKCS #15?
- ARSA Cryptography Standard
- BDiffie–Hellman Key Agreement Standard
- CPassword-based Encryption Standard
- DPrivate-Key Information Syntax Standard
- EElliptic Curve Cryptography Standard
- FPseudo-random Number Generation
- GCryptographic Token Information Format Standard
63What is RFC 1510?
- AKerberos Network Authentication Service (V5)
- BMessage Digest 5 (MD5) hash
- CHash-based Message Authentication Code (HMAC)
- DSecure Hash Algorithm (SHA-1)
- EBlock padding
64What is RFC 1321?
- AKerberos Network Authentication Service (V5)
- BMessage Digest 5 (MD5) hash
- CHash-based Message Authentication Code (HMAC)
- DSecure Hash Algorithm (SHA-1)
- EBlock padding
65What is RFC 2104?
- AKerberos Network Authentication Service (V5)
- BMessage Digest 5 (MD5) hash
- CHash-based Message Authentication Code (HMAC)
- DSecure Hash Algorithm (SHA-1)
- EBlock padding
66What is RFC 3174?
- AKerberos Network Authentication Service (V5)
- BMessage Digest 5 (MD5) hash
- CHash-based Message Authentication Code (HMAC)
- DSecure Hash Algorithm (SHA-1)
- EBlock padding
67What is RFC 2040/PKCS #7?
- AKerberos Network Authentication Service (V5)
- BMessage Digest 5 (MD5) hash
- CHash-based Message Authentication Code (HMAC)
- DSecure Hash Algorithm (SHA-1)
- EBlock padding
68What is NIST 800-38A?
- ACBC (Cipher Block Chaining) cipher mode
- BCTR (Counter) cipher mode
- CCFB (Cipher Feedback) cipher mode
- DOFB (Output Feedback) cipher mode
- EECB (Electronic Codebook) cipher mode
- FPCBC (Propagating Cipher Block Chaining) cipher mode
69The algorithm is: Xn+1=(aXn+c)Mod m where n>0
- ALINEAR CONGRUENTIAL GENERATORS
- BLAGGED FIBONACCI GENERATOR (LFG)
- CBLUM BLUM SHUB
70The formula is y= Xk+Xj+1
- ALINEAR CONGRUENTIAL GENERATORS
- BLAGGED FIBONACCI GENERATOR (LFG)
- CBLUM BLUM SHUB
71The algorithm is: Xn+1=Xn2 Mod m
- ALINEAR CONGRUENTIAL GENERATORS
- BBLUM BLUM SHUB
- CLAGGED FIBONACCI GENERATOR (LFG)
72Group of PRNGs. 3 main components: generator, entropy accumulator and seed file.
- AYARROW
- BFORTUNA
- CBLUM BLUM SHUB
73BY Bruce Schneider, john Kesley & Niels Ferguson, supplanted by Fortuna
- AYARROW
- BBLUM BLUM SHUB
- CFORTUNA
74RANDOM NUMBER GENERATORS TYPES (Pick 3)
- ATable lookup generators
- BLinear Congruential Generators
- CLagged Fibbonacci Generators (LFG)
- DHardware generators
- EBackup generators
- FBackwards Compatible generators
- GAlgorithmic (software) generators
75NSA Suite B Algorithms: What is Type 1?
- AAES
- BAES with Galois/Counter Mode (Symmetric Encryption)
- CElliptic-Curve DSA (ECDSA) (Digital Signatures)
- DElliptic-Curve Diffie-Hellman (ECDH) (Key Agreement)
- ESHA2 (SHA256 - SHA384) (Message Digest)
76NSA Suite B Algorithms: What is Type 2?
- AAES
- BAES with Galois/Counter Mode (Symmetric Encryption)
- CElliptic-Curve DSA (ECDSA) (Digital Signatures)
- DElliptic-Curve Diffie-Hellman (ECDH) (Key Agreement)
- ESHA2 (SHA256 - SHA384) (Message Digest)
77NSA Suite B Algorithms: What is Type 3?
- AAES
- BAES with Galois/Counter Mode (Symmetric Encryption)
- CElliptic-Curve DSA (ECDSA) (Digital Signatures)
- DElliptic-Curve Diffie-Hellman (ECDH) (Key Agreement)
- ESHA2 (SHA256 - SHA384) (Message Digest)
78NSA Suite B Algorithms: What is Type 4?
- AAES
- BAES with Galois/Counter Mode (Symmetric Encryption)
- CElliptic-Curve DSA (ECDSA) (Digital Signatures)
- DElliptic-Curve Diffie-Hellman (ECDH) (Key Agreement)
- ESHA2 (SHA256 - SHA384) (Message Digest)
79NSA Suite B Algorithms: What is Type 5?
- AAES
- BAES with Galois/Counter Mode (Symmetric Encryption)
- CElliptic-Curve DSA (ECDSA) (Digital Signatures)
- DElliptic-Curve Diffie-Hellman (ECDH) (Key Agreement)
- ESHA2 (SHA256 - SHA384) (Message Digest)
80What is the only type of unbreakable encryption?
- AOTP (One Time Pad)
- BSymmetric
- CStream
- DAsymmetric
- EBlock
81NSA Type 1 Algorithms (Pick 5)
- AJuniper (Block)
- BMayfly (Asymmetric)
- CFasthash (Hashing)
- DWalburn (High Band Link Encryption)
- EPegasus (Satellite Telemetry)
- FSkipjack (Block)
- GKEA (Key Exchange Algorithm)
- HDES/3DES (Block)
- ISHA (Block)
- JAES (Block)
82NSA Type 2 Algorithms (Pick 2)
- AJuniper (Block)
- BMayfly (Asymmetric)
- CFasthash (Hashing)
- DWalburn (High Band Link Encryption)
- EPegasus (Satellite Telemetry)
- FSkipjack (Block)
- GKEA (Key Exchange Algorithm)
- HDES/3DES (Block)
- ISHA (Block)
- JAES (Block)
83NSA Type 3 Algorithms (Pick 3)
- AJuniper (Block)
- BMayfly (Asymmetric)
- CFasthash (Hashing)
- DWalburn (High Band Link Encryption)
- EPegasus (Satellite Telemetry)
- FSkipjack (Block)
- GKEA (Key Exchange Algorithm)
- HDES/3DES (Block)
- ISHA (Block)
- JAES (Block)
84What diagram is shown below?

- ACBC (Cypher Block Chaining)
- BCTR (Counter)
- CCFB (Cipher Feedback)
- DOFB (Output Feedback)
- EECB (Electronic Codebook)
- FPCBC (Propagating Cipher Block Chaining)
85What diagram is shown below?

- ACBC (Cypher Block Chaining)
- BCTR (Counter)
- CCFB (Cipher Feedback)
- DOFB (Output Feedback)
- EECB (Electronic Codebook)
- FPCBC (Propagating Cipher Block Chaining)
86What diagram is shown below?

- ACBC (Cypher Block Chaining)
- BCTR (Counter)
- CCFB (Cipher Feedback)
- DOFB (Output Feedback)
- EECB (Electronic Codebook)
- FPCBC (Propagating Cipher Block Chaining)
87What diagram is shown below?

- ACBC (Cypher Block Chaining)
- BCTR (Counter)
- CCFB (Cipher Feedback)
- DOFB (Output Feedback)
- EECB (Electronic Codebook)
- FPCBC (Propagating Cipher Block Chaining)
88What diagram is shown below?

- ACBC (Cypher Block Chaining)
- BCTR (Counter)
- CCFB (Cipher Feedback)
- DOFB (Output Feedback)
- EECB (Electronic Codebook)
- FPCBC (Propagating Cipher Block Chaining)
89What diagram is shown below?

- ACBC (Cypher Block Chaining)
- BCTR (Counter)
- CCFB (Cipher Feedback)
- DOFB (Output Feedback)
- EECB (Electronic Codebook)
- FPCBC (Propagating Cipher Block Chaining)
90What Wifi Encryption does WEP (Wired Equivalent Privacy) use?
- ARC4 (128 bits or 256 to secure data and CRC-32 for checksum.
- BPSK (Preshared Key & TKIP)
- C802.1x, introduces CCMP (Counter Mode with Cipher Block Chaining )
91What Wifi Encryption does WPA use?
- ARC4 (128 bits or 256 to secure data and CRC-32 for checksum.
- BPSK (Preshared Key & TKIP)
- C802.1x, introduces CCMP (Counter Mode with Cipher Block Chaining )
92What Wifi Encryption does WPA2 use?
- ARC4 (128 bits or 256 to secure data and CRC-32 for checksum.
- BPSK (Preshared Key & TKIP)
- C802.1x, introduces CCMP (Counter Mode with Cipher Block Chaining )
93Name 4 Symmetric Stream Ciphers
1. [blank_start]_________[blank_end]
2. [blank_start]_________[blank_end]
3. [blank_start]_________[blank_end]
4. [blank_start]_________[blank_end]- ARCA
- BRC4
- CFISH
- DPIKE
94Name Five Asymmetric Ciphers
1. [blank_start]___________[blank_end]
2. [blank_start]___________[blank_end]
3. [blank_start]___________[blank_end]
4. [blank_start]___________[blank_end]
5. [blank_start]___________[blank_end]- ARSA
- BECC
- CEl Gamal
- DDSA
- EDiffie Hellman
95Name the historical cipher: "Choose some number by which to shift each letter of the message. ( right is ""+"" | left is ""-"" | A ""+2"" = C | C ""-1"" = B )"
- AThe Playfair Cipher
- BCaesar
- CScytale
- DThe Vigenère cipher
- EAffine cipher
96Name the historical cipher: "Use of a rod of a certain length to create/encrypt a message, and same rod must be used to read/decrypt the message by the recipient"
- AThe Playfair Cipher
- BCaesar
- CScytale
- DThe Vigenère cipher
- EAffine cipher
97Name the historical cipher: "invented in 1553 by Giovan Battista Bellaso, but is named for the man who developed a stronger version of the cipher. It is a method of encrypting by using a series of interwoven Caesar ciphers based on the letters of a keyword. It is considered a polyalphabetic cipher system. Friedrich Kasiski published the first successful attack against it in 1863."
- AThe Playfair Cipher
- BCaesar
- CScytale
- DThe Vigenère cipher
- EAffine cipher
98Name the historical cipher: invented by Charles Wheatstone in 1854. Uses a five-by-five table containing a keyword or key phrase. To generate the key table, one would first fill in the spaces in the table with the letters of the keyword (dropping any duplicate letters), then fill in the remaining spaces with the rest of the letters of the alphabet in order. The technique encrypts pairs of letters (digraphs), instead of single letters as in the simple substitution cipher. This is significantly harder to break since the frequency analysis used for simple substitution ciphers does not work with it.
- AThe Playfair Cipher
- BCaesar
- CScytale
- DThe Vigenère cipher
- EAffine cipher
99Name the historical cipher: It is a type of monoalphabetic substitution cipher, wherein each letter in an alphabet is mapped to its numeric equivalent, encrypted using a simple mathematical function, and converted back to a letter.
- AThe Playfair Cipher
- BCaesar
- CScytale
- DThe Vigenère cipher
- EAffine cipher
Information
- Description
- Quiz on ECES Study Material Test, created by Nope Nope on 25/10/2020.
- Author
- Nope Nope
- Language
- English
- Views
- 7
- Tags
- Rating
- No ratings yet Rate this quiz